Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
quochuyksxd

[Hỏi] lỗi về text dãn ra

Các bài được khuyến nghị

Không hiểu sao bản vẽ của mình cứ bị lỗi text dãn ra như thế này rất khó chịu, Mặc dù width factor=1. Khi edit thì text lại trở lại bình thường nhưng sau đó move hoặc tắt mở lại bản vẽ thì text lại dãn lại. Nhờ các a e Pro giúp đỡ

 

100618_vidu.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không ai giúp đỡ mình ah? help help!!

Máy bạn bị thiếu Font nên khi laod bản vẽ nó sẽ thay bằng Font khác với khoảng cách như vậy. Bạn check font lại xem sao.

Good luck!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

mình up 1 bản vẽ đây

http://www.cadviet.c...100618_help.dwg

Tue_NV mở bản vẽ của bạn -> Thấy bình thường, chữ không có rộng ra, vậy là sao vậy nhỉ?

Có thể là như bạn detail nói ở trên.

Bạn xem lại máy bạn có Font .VnArial NarrowH không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

có lẽ là do lỗi gì gì đó mình cũng ko biết. nhưng nếu muốn chửa cháy thì bạn vào textstyle (lệnh st) ở ô Heigh bạn sửa từ 0 thành 1 Apply, sau đó lại sửa trở về 0 rồi apply. mình làm như thế rồi save lại. tắt file mở lại thấy ko bị nữa

 

@ Bác Ket: em mở lên thì thấy nó ngộ lắm (Text có điểm chèn là Center) em dùng hàm (entget(car(entsel))) cho nó trước và sau khi edit là thế này:

 

Command: te

Select object: ((-1 . <Entity name: 7e5d0ce8>) (0 . "TEXT") (330 . <Entity

name: 7e5d7c10>) (5 . "1FD") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .

"TEXT") (62 . 4) (100 . "AcDbText") (10 974141.0 -583702.0 0.0) (40 . 486.349)

(1 . "B¶ng thèng kª cèt thÐpTHANG 2") (50 . 0.0) (41 . 1.0) (51 . 0.0) (7 .

"HOA") (71 . 0) (72 . 1) (11 982711.0 -583702.0 0.0) (210 0.0 0.0 1.0) (100 .

"AcDbText") (73 . 0))

sau khi edit text (text nhảy về đúng vị trí)

 

Command: te

Select object: ((-1 . <Entity name: 7e5d0ce8>) (0 . "TEXT") (330 . <Entity

name: 7e5d7c10>) (5 . "1FD") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .

"TEXT") (62 . 4) (100 . "AcDbText") (10 977696.0 -583702.0 0.0) (40 . 486.349)

(1 . "B¶ng thèng kª cèt thÐpTHANG 2") (50 . 0.0) (41 . 1.0) (51 . 0.0) (7 .

"HOA") (71 . 0) (72 . 1) (11 982711.0 -583702.0 0.0) (210 0.0 0.0 1.0) (100 .

"AcDbText") (73 . 0))

sau thế dc nhể?!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tue_NV mở bản vẽ của bạn -> Thấy bình thường, chữ không có rộng ra, vậy là sao vậy nhỉ?

Có thể là như bạn detail nói ở trên.

Bạn xem lại máy bạn có Font .VnArial NarrowH không?

Máy của mình rất đầy đủ, 1 điều là đưa sang các máy khác cũng bị. bạn để ý các text ở phía khung tên cũng bị. hic. Không làm cách nào để chỉnh lại cho nó bình thường được cả. Nếu như bạn có mở ra thấy bình thường thì chắc là nhất thời thôi, chứ sau mở lại hoặc move 1 vài lần lại bị như thế

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

có lẽ là do lỗi gì gì đó mình cũng ko biết. nhưng nếu muốn chửa cháy thì bạn vào textstyle (lệnh st) ở ô Heigh bạn sửa từ 0 thành 1 Apply, sau đó lại sửa trở về 0 rồi apply. mình làm như thế rồi save lại. tắt file mở lại thấy ko bị nữa

 

@ Bác Ket: em mở lên thì thấy nó ngộ lắm (Text có điểm chèn là Center) em dùng hàm (entget(car(entsel))) cho nó trước và sau khi edit là thế này:

 

Command: te

Select object: ((-1 . <Entity name: 7e5d0ce8>) (0 . "TEXT") (330 . <Entity

name: 7e5d7c10>) (5 . "1FD") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .

"TEXT") (62 . 4) (100 . "AcDbText") (10 974141.0 -583702.0 0.0) (40 . 486.349)

(1 . "B¶ng thèng kª cèt thÐpTHANG 2") (50 . 0.0) (41 . 1.0) (51 . 0.0) (7 .

"HOA") (71 . 0) (72 . 1) (11 982711.0 -583702.0 0.0) (210 0.0 0.0 1.0) (100 .

"AcDbText") (73 . 0))

sau khi edit text (text nhảy về đúng vị trí)

 

Command: te

Select object: ((-1 . <Entity name: 7e5d0ce8>) (0 . "TEXT") (330 . <Entity

name: 7e5d7c10>) (5 . "1FD") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .

"TEXT") (62 . 4) (100 . "AcDbText") (10 977696.0 -583702.0 0.0) (40 . 486.349)

(1 . "B¶ng thèng kª cèt thÐpTHANG 2") (50 . 0.0) (41 . 1.0) (51 . 0.0) (7 .

"HOA") (71 . 0) (72 . 1) (11 982711.0 -583702.0 0.0) (210 0.0 0.0 1.0) (100 .

"AcDbText") (73 . 0))

sau thế dc nhể?!

Mình cũng đã thử làm như bạn nhưng vẫn không được bạn ah. Còn mấy cái thông số ở dưới thì mình không hiểu???

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mở bản vẽ của anh em thấy bình thường

 

Anh sử dụng lệnh DT để viết xem sao???

 

DT.jpg

Gặp trường hợp viết dòng chữ vào ô hình chữ nhật, cách làm nhanh nhất là dùng lệnh DT , đỡ mất công chuyển đổi:

Gõ DT >>> J >>> F >>> Chọn điểm đầu và điểm cuối dòng chữ >>> Thay đỗi chiều cao chữ (nếu thấy cần) >>> gõ chữ . Cách này hay ở chỗ muốn thay đổi giãn dài hoặc co ngắn dễ dàng, chỉ cần bấm chọn dòng chữ rồi co giãn thoải mái,theo mọi hướng. ( Bấm vào ô vuông mầu xanh của chữ mầu trắng để co kéo khi cần phải sửa, tiện khi cần đưa dòng chữ vào ô chữ nhật có chiều dài khác nhau)

Chữ mầu trắng viết bằng lệnh DT, khi chọn đối tượng chữ sẽ thấy 2 ô vuông màu xanh, đây là điểm khác biệt so với viết bằng lệnh T

 

Command: dt TEXT

Current text style: "hoan" Text height: 2.5000 Annotative: No

Specify start point of text or [Justify/Style]: j Enter an option

[Align/Fit/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR]: f

Specify first endpoint of text baseline:

Specify second endpoint of text baseline:

Specify height <2.5000>: 50

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bản vẽ down về không thấy khu vực Thép dầm T2, các bảng khác mình thấy chữ bình thường

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

trước khi chỉnh text thì Text nằm ko đúng với điểm chèn (center...)

62991_truoc_khi_edit_1.jpg

 

sau khi edit thì text về đúng vị trí

62991_sau_khi_edit_1.jpg

 

cad2008 có vấn đề sao?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không hiểu sao bản vẽ của mình cứ bị lỗi text dãn ra như thế này rất khó chịu, Mặc dù width factor=1. Khi edit thì text lại trở lại bình thường nhưng sau đó move hoặc tắt mở lại bản vẽ thì text lại dãn lại. Nhờ các a e Pro giúp đỡ

Mình cũng hay bị tình trạng này, mình không rành về hệ thống nên không dám nói bừa, chỉ là suy đoán. Cách khắc phục tình thế chỉ là đổi font trong text style sang font khác (chẳng hạn Arial) > Apply, sau đó đổi ngược lại font .VnArial NarrowH.

102896_after.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Máy của mình rất đầy đủ, 1 điều là đưa sang các máy khác cũng bị. bạn để ý các text ở phía khung tên cũng bị. hic. Không làm cách nào để chỉnh lại cho nó bình thường được cả. Nếu như bạn có mở ra thấy bình thường thì chắc là nhất thời thôi, chứ sau mở lại hoặc move 1 vài lần lại bị như thế

Theo mình thì vị trí bản vẽ của bạn đang ở tọa độ Y= âm, cho nên mới bị lỗi này. Bạn hãy di chuyển toàn bộ bản vẽ của bạn lên phía trên sao cho ko còn đỗi tượng nào nằm trên vị trí Y= âm nữa thì sẽ hết lỗi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đổi sang font khác

100618_doifont.jpg

Đổi lại font ban đầu

100618_doilai.jpg

 

Hic, vẫn không thể khắc phục được. Mình khẳng định máy mình không hề thiếu sót font, mình cũng đánh dùng dt để đánh text.

Mình muốn khắc phục hoàn toàn luôn chứ tình thế thì mở lại bản vẽ nó lại bị

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Theo mình thì vị trí bản vẽ của bạn đang ở tọa độ Y= âm, cho nên mới bị lỗi này. Bạn hãy di chuyển toàn bộ bản vẽ của bạn lên phía trên sao cho ko còn đỗi tượng nào nằm trên vị trí Y= âm nữa thì sẽ hết lỗi.

Mình đã thực hiện và kết quả là

100618_dichuyen.jpg -_- -_- -_- -_- -_- -_- -_- -_-

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

e thấy Cad 2010 thì không bị lõi nữa, còn mở bằng 2007 thì bị như a nói.:D. Cách khắc đơn giản nhất là anh xài bản Cad khác trong khi chờ đợi các cao thủ tìm ra lỗi. hi

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

mà sau cái file này hay hề, Bạn mở lên thì nó giãn ra 2 bên, còn mình mở thì nó lại lệch sang một bên,

Là sao ta? nói chung là ko biết :)

 

mình thử vào st chỉnh chiều cao mặc định từ 0 về 1 rồi lại chỉnh tư 1 về 0. save lại thì mở lênh ko bị nữa. Mình gửi lại đây, bạn mở lên thử có bị ko hả?

http://www.cadviet.com/upfiles/3/62991_100618_help1.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

e thấy Cad 2010 thì không bị lõi nữa, còn mở bằng 2007 thì bị như a nói. :D. Cách khắc đơn giản nhất là anh xài bản Cad khác trong khi chờ đợi các cao thủ tìm ra lỗi. hi

Đã test và đúng là như vậy. Cám ơn bạn nhé!

Nhưng mình không hiểu sao mở trên cad07 vẫn bị thế, file của anh lp_hai gửi lại e mở ra cũng bị như cũ không khắc phục được. Đây là mình trích xuất ra 1 bản thôi chứ hơn 100 bản vẽ khác nhau đều bị như thế này. hic

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đã test và đúng là như vậy. Cám ơn bạn nhé!

Nhưng mình không hiểu sao mở trên cad07 vẫn bị thế, file của anh lp_hai gửi lại e mở ra cũng bị như cũ không khắc phục được. Đây là mình trích xuất ra 1 bản thôi chứ hơn 100 bản vẽ khác nhau đều bị như thế này. hic

Mình thử trên máy CAD 2009 thấy text bị lệch 1 bên như lp_hai nói.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×